- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/moveTableToDatabase#try-it)

Move a table to another database.

### HTTP request

`POST https://metastore.googleapis.com/v1/{service}:moveTableToDatabase`

### Path parameters

| Parameters ||
|---|---|
| `service` | `string` Required. The relative resource name of the metastore service to mutate metadata, in the following format: `projects/{projectId}/locations/{locationId}/services/{serviceId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `service`: - `metastore.services.mutateMetadata` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tableName": string, "dbName": string, "destinationDbName": string } ``` |

| Fields ||
|---|---|
| `tableName` | `string` Required. The name of the table to be moved. |
| `dbName` | `string` Required. The name of the database where the table resides. |
| `destinationDbName` | `string` Required. The name of the database where the table should be moved. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).